%define dist WWW-Mechanize
Name: perl-%dist
Version: 1.12
Release: alt1

Summary: Handy web browsing in a Perl object
License: Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch

# Automatically added by buildreq on Sun Mar 20 2005
BuildRequires: perl-CGI perl-Compress-Zlib perl-Crypt-SSLeay perl-HTML-Parser perl-HTML-Tagset perl-Pod-Escapes perl-Pod-Simple perl-Test-Pod perl-URI perl-devel perl-libwww

%description
"WWW::Mechanize", or Mech for short, helps you automate interaction
with a website.  It supports performing a sequence of page fetches
including following links and submitting forms. Each fetched page 
is parsed and its links and forms are extracted. A link or a form 
can be selected, form fields can be filled and the next page can 
be fetched.  Mech also stores a history of the URLs you've visited, 
which can be queried and revisited.

You may want to read `Screen Scraping for Fun and Profit' online
tutorial by Randal Schwartz at the Linux Magazine web site:
http://www.linux-mag.com/cgi-bin/printer.pl?issue=2003-04&article=perl

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc	Changes
	%_bindir/mech-dump
%dir	%perl_vendor_privlib/WWW
	%perl_vendor_privlib/WWW/Mechanize.pm
%dir	%perl_vendor_privlib/WWW/Mechanize
	%perl_vendor_privlib/WWW/Mechanize/*.pm
	%perl_vendor_privlib/WWW/Mechanize/*.pod

%changelog
* Sun Mar 20 2005 Alexey Tourbin <at@altlinux.ru> 1.12-alt1
- 1.10 -> 1.12

* Thu Feb 03 2005 Alexey Tourbin <at@altlinux.ru> 1.10-alt1
- 1.02 -> 1.10
- manual pages not packaged (use perldoc)

* Sat Apr 17 2004 Alexey Tourbin <at@altlinux.ru> 1.02-alt1
- initial revision, inspired by Randal Schwartz
